<?php
namespace DTInternet\DtiNabu\Controller;
/*
 *
 * Copyright (c) 2016 D&T Internet GmbH bublies@dt-internet.de
 *
 * Author Stefan Bublies, bublies@dt-internet.de
 * @link     http://www.dt-internet.de
 * @package  NABU TYPO3 CMS Vorlage
 *
 */
/**
 * Controller: Slideshow
 *
 * @package DTInternet\DtiNabu\Controller
 */
class DtiNabuSlideshowController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{
    /**
     * @var \DTInternet\DtiNabu\Domain\Repository\SlideRepository
     * @inject
     */
    protected $slideRepository;

    /**
     * Zeige die Slides in der Slideshow
     *
     * @return void
     */
    public function showAction()
    {
        $currentId = (int) $this->configurationManager->getContentObject()->getFieldVal('uid');
        $this->view->assignMultiple(array(
            'identifier' => 'dti-nabu-carousel-id-' . $currentId,
            'slides' => $this->slideRepository->findByContentId($currentId),
        ));
    }
}
